# BEGIN SourceDeps(oneline):
BuildRequires: libgio-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define version 1.26.0
%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:        MATE Desktop window management tool
Name:           mate-netbook
Version:        1.26.0
Release:        alt1_2
License:        GPLv3
Group:          Graphical desktop/MATE
URL:            https://mate-desktop.org/
Source0:        https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:    intltool
BuildRequires:    itstool
BuildRequires:    yelp-tools
BuildRequires:    pkgconfig(glib-2.0)
BuildRequires:    pkgconfig(libfakekey)
BuildRequires:    pkgconfig(libmatepanelapplet-4.0) >= %{url_ver}
BuildRequires:    pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires:    pkgconfig(xtst)
BuildRequires:    pkgconfig(gtk+-3.0)
BuildRequires:    pkgconfig(libwnck-3.0)
BuildRequires:    pkgconfig(unique-3.0)

Requires:         mate-panel >= %{url_ver}
Source44: import.info

%description
This package provides a simple window management tool which provides the
following functionality:
 * Allow to set basic rules for window types;
 * Allow exceptions to the rules based on string matching for window
   name and window class;
 * Allows reversing of rules when the user manually changes something;
 * Re-decorates windows on un-maximize

%prep
%setup -q


%build
%configure --libexecdir=%{_libexecdir}/%{name}

%make_build

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc ChangeLog README
%{_sysconfdir}/xdg/autostart/mate-maximus-autostart.desktop
%{_bindir}/mate-maximus
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/mate-window-picker-applet
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-panel/
%{_mandir}/man1/mate-maximus.1*


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.26.0-alt1_2
- update by mgaimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 1.26.0-alt1_1
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.24.0-alt1_2
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.24.0-alt1_1
- update by mgaimport

* Fri Dec 27 2019 Igor Vlasenko <viy@altlinux.ru> 1.22.2-alt1_1
- update by mgaimport

* Thu May 23 2019 Igor Vlasenko <viy@altlinux.ru> 1.22.1-alt1_1
- update by mgaimport

* Fri Mar 15 2019 Igor Vlasenko <viy@altlinux.ru> 1.22.0-alt1_1
- update by mgaimport

* Mon Dec 10 2018 Igor Vlasenko <viy@altlinux.ru> 1.20.1-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.20.0-alt1_2
- update by mgaimport

* Fri Apr 06 2018 Igor Vlasenko <viy@altlinux.ru> 1.20.0-alt1_1
- new version

